function [output] = clipVal(vec,lb,ub)
  % clip the value in the vec array based on the lb and ub
  output = vec;
  if ~isempty(lb)
    output(vec<lb) = lb;
  end
  if ~isempty(ub)
    output(vec>ub) = ub;
  end
end
